%define KDEDATE 20000716
%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: kdoc
Summary: Documentation for the K Desktop Environment (KDE) 2.0.
Version: 2.0
Release: 1
Epoch: 1
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{KDEDATE}.tar.bz2
Group: Documentation
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildArch: noarch

%description
Documentation tools for the K Desktop Environment 2.0.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdoc
make -f Makefile.cvs

%build
export KDEDIR=/usr
. /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" %configure 
make -j $CPUS CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make DESTDIR="$RPM_BUILD_ROOT" install
[ "%{_mandir}" != /usr/man ] && {
	mkdir -p $RPM_BUILD_ROOT%{_mandir}
	mv $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT%{_mandir}
	rm -rf $RPM_BUILD_ROOT/usr/man
}

cp -a $RPM_BUILD_ROOT/usr/doc/kdoc docs
rm -fr $RPM_BUILD_ROOT/usr/doc


cd $RPM_BUILD_ROOT
find . -type d | sed '1,3d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
perl -pi -e "s|\%attr\(-,root,root\) \%dir %{_mandir}/man1||" $RPM_BUILD_DIR/file.list.%{name}
perl -pi -e "s|\%attr\(-,root,root\) \%dir %{_mandir}/man||" $RPM_BUILD_DIR/file.list.%{name}
perl -pi -e "s|\%attr\(-,root,root\) \%dir /usr/bin||" $RPM_BUILD_DIR/file.list.%{name}
perl -pi -e "s|\%attr\(-,root,root\) \%dir /usr/lib$||" $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

sed -e "s,%{_mandir}/.*,&*,g" $RPM_BUILD_DIR/file.list.%{name} >$RPM_BUILD_DIR/file.list.%{name}.new
mv -f $RPM_BUILD_DIR/file.list.%{name}.new $RPM_BUILD_DIR/file.list.%{name}

#echo "%docdir %{prefix}/doc/kde" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root)
%doc docs/*


%changelog
* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- drop icon (glint is obsolete)
- "License" replaces "Copyright"
- use %%docdir
- different releasenumber scheme, the old one can't be used 
  for tools and makes fixing specfiles hard


* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- Don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build if %%{_mandir} = /usr/man

* Sun Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- FHSify

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compatibility with perl 5.6.0

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- remove renaming to kdoc2 etc, move to /usr

* Wed Mar 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot
- Make gzipped man pages optional

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- new snapshot

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the makekde2doc script (add missing semicolon)

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- get ready for powertools 6.2
- make it a noarch package; it's just perl scripts

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
